#include <stdio.h>
extern long long tim(void);
extern void longcall(void);
extern void call(void);

int main(void);
int main()
{
    long long long_call_total;
    long long call_total;
    long long overhead;
    (void)tim();  /* Warm cache */
    (void)tim();
    overhead = tim(); 
    longcall();   /* Warm cache */
    longcall();
    (void)tim();
    longcall();
    long_call_total = tim() - overhead;
    call();       /* Warm cache */
    call();
    (void)tim();
    call();
    call_total = tim() - overhead;
    printf("longcall clocks = %lld\n", long_call_total);
    printf("call clocks = %lld\n", call_total);
    printf("actual full-pointer call clocks = %lld\n", long_call_total - call_total);
    return 0;
}

